# Class WsExtension

java.lang.Object
org.apache.tomcat.websocket.WsExtension

All Implemented Interfaces:
  `Extension`

public class WsExtension extends Object implements Extension

## Nested Class Summary

### Nested classes/interfaces inherited from interface Extension

`Extension.Parameter`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`List<Extension.Parameter>`
`getParameters()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `Extension`

### getParameters

public List<Extension.Parameter> getParameters()

Specified by:
  `getParameters` in interface `Extension`